package com.ozs.rpm.dto.kpim;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * @ClassName ComputedTypeInfoDTO
 * @Desc 定义类型对象
 * @Author jade
 * @Date 2019/3/11
 * @Version 1.0
 */
@Data
public class ComputedTypeInfoDTO {

    @ApiModelProperty("数据库ID")
    private String databaseId;

    @ApiModelProperty("是否跨表，yes跨表，no不跨表")
    private String acrossTable;

    @ApiModelProperty("字段设置")
    private List<ColumnConfigDTO> contents;

    @ApiModelProperty("关联字段设置")
    private List<RelColumnConfigDTO> relOptions;

    @ApiModelProperty("规则设置")
    private List<RuleConfigDTO> ruleOptions;
}
