package com.ozs.appshow.dto;

import java.util.List;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 
 * @ClassName: RelSubjectChartParam
 * @Description:配置专题接口参数类
 * @author: Zhao You Kai
 * @date: Apr 23, 2019 7:50:18 PM
 */
@Data
public class RelSubjectChartParam {
	@ApiModelProperty("专题ID")
	private String subjectId;
	@ApiModelProperty("专题名称")
	private String subjectName;
	@ApiModelProperty("专题多页信息")
	private List<SubjectPageInfoDTO> children;

}
