package com.ozs.appshow.dto;

import java.util.List;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 
 * @ClassName: SubjectInfoDTO
 * @Description:专题信息表实体类
 * @author: Zhao You Kai
 * @date: Apr 23, 2019 4:28:48 PM
 */
@Data
public class SubjectInfoDTO {

	@ApiModelProperty("ID")
	private String id;
	@ApiModelProperty("专题名称")
	private String subjectName;
	@ApiModelProperty("专题状态，0下线，1上线")
	private Integer state;
	@ApiModelProperty("最后更新人")
	private String updateUserId;
	@ApiModelProperty("更新时间")
	private String updateTime;

	@ApiModelProperty("专题图表关联信息")
	private List<RelSubjectChartDTO> relChartList;
	@ApiModelProperty("最后更新人名称")
	private String updateUserName;

}
