package com.ozs.kpim.dto.kpiconfig;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * @ClassName KpiPrivilegeControlDTO
 * @Desc KPI权限控制实体类
 * @Author jade
 * @Date 2019/2/26
 * @Version 1.0
 */
@Data
public class KpiPrivilegeControlDTO {

    @ApiModelProperty("选择的KPI的标识列表")
    private List<String> kpiIds;

    @ApiModelProperty("选择的可见用户ID列表")
    private List<String> userIds;

}
