package com.ozs.rpm.dto.chart;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 
 * @ClassName: RichTextFileR
 * @Description:富文本文件上传请求返回值固定格式
 * @author: Zhao You Kai
 * @date: May 6, 2019 2:53:48 PM
 */
@Data
public class RichTextFileR {

	@ApiModelProperty("请求是否出现异常 ，0无异常,1出现报错")
	private Integer error;
	@ApiModelProperty("错误返回消息")
	private String message;
	@ApiModelProperty("请求返回文件访问路径")
	private String url;

	public RichTextFileR() {

	}

	public RichTextFileR(Integer error, String message) {
		this.error = error;
		this.message = message;

	}

}
