package com.ozs.rpm.dto.mdm;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/* *
 * @Description 用上了
**/
@Data
public class KpiListColumnDTO {
	@ApiModelProperty("ID")
	private String id;
	@ApiModelProperty("字段名称")
	private String columnName;
	@ApiModelProperty("字段描述")
	private String columnComment;
	@ApiModelProperty("字段类型")
	private Integer columnType;
	@ApiModelProperty("字段长度")
	private Integer length;
	@ApiModelProperty("字段小数位数")
	private Integer numericScale;
	@ApiModelProperty("是否是主键")
	private Integer ifPrimary;
	@ApiModelProperty("是否可为空")
	private Integer ifNull;
	@ApiModelProperty("字段所属表ID")
	private String tableId;
	@ApiModelProperty("字段序列号")
	private String columnCode;

	@ApiModelProperty("创建人ID")
	private String updateUserId;
	@ApiModelProperty("更新时间")
	private String updateTime;
	@ApiModelProperty("字段类型名称")
	private String columnTypeName;

	@ApiModelProperty("字段序列号+C字符串")
	private String columnCodeValue;

	@ApiModelProperty("数据表描述")
	private String tableComment;
	@ApiModelProperty("数据表名称")
	private String tableName;
	@ApiModelProperty("数据库名称")
	private String databaseName;
	@ApiModelProperty("数据资源名称")
	private String resourceName;

	@ApiModelProperty("字段展示名称")
	private String columnNameShow;
}
