package com.ozs.rpm.dto.save;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 
 * @ClassName: RelReportKpiDrillDTO
 * @Description:报表KPI下钻关联表实体类
 * @author: Zhao You Kai
 * @date: Jul 17, 2019 9:32:53 PM
 */
@Data
public class RelReportKpiDrillDTO {
	@ApiModelProperty("报表ID")
	private String reportId;
	@ApiModelProperty("下钻KPIID")
	private String kpiId;
	@ApiModelProperty("排序")
	private Integer sort;
	@ApiModelProperty("主报表关联KPIID")
	private String relatedKpiId;
	@ApiModelProperty("主报表关联KPICODE")
	private String relatedKpiCode;
	@ApiModelProperty("下钻子报表kpiId")
	private String relatedSubKpiId;
	@ApiModelProperty("下钻子报表kpicode")
	private String relatedSubKpiCode;

	@ApiModelProperty("时间下钻是否以选择时间为基准：1是2否，以当前时间为基准")
	private Integer timeRelatedSelected;

	@ApiModelProperty("时间类型KPI范围值偏移值，单位：天")
	private Integer timeRangeOffset;
}
