package com.ozs.rpm.dto.save;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 
 * @ClassName: RelReportOutsideParamDTO
 * @Description:报表外部参数关联表实体类
 * @author: Zhao You Kai
 * @date: Jul 16, 2019 4:46:14 PM
 */
@Data
public class RelReportOutsideParamDTO {
	@ApiModelProperty("唯一标示")
	private String id;

	@ApiModelProperty("报表ID")
	private String reportId;

	@ApiModelProperty("参数key，查询数据结构（表.字段）")
	private String paramKey;
	@ApiModelProperty("参数描述")
	private String paramDesc;
	@ApiModelProperty("参数顺序，用作回显排序和参数对应")
	private Integer paramSort;
	
	@ApiModelProperty("参数类型，1文本 2数字 3时间")
	private Integer paramType;
}
